/* CSS Document */
/* COLORS
Yellow #FFE7CC
Blue #51568A
pink #ED2A84
 */
 @import url("https://use.typekit.net/mli4bsa.css");
  
body {
    font-family: "ruddy", Arial, sans-serif;
    margin: 0;
    background-image: url(assets/pattern.svg);
  }
  a{
    text-decoration: none;
  }
  /* NAV */
  nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 6vw;
    background-color: #FFE7CC;
    padding: 20px 20px;
    margin-bottom: 1rem;
    /* box-sizing: border-box; */

  }
 nav img{
    width: 100%;
    height: 6vw;
  }
  
  .name {
    text-align: center;
    flex-grow: 1;
  }
  
  .menu ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
    display: flex;
    flex-direction: column;
    text-align: right;
  }
  
  .menu li {
    margin-left: 15px;
  }

  
  .menu a {
    text-decoration: none;
    color: #51568A;
    font-size: 1.2rem;
    font-weight: 700;
    padding: 5px 10px;
  }
  
  .menu a:hover {
    background-color: #ddd;
    border-radius: 5px;
  }

.container {
  max-width: 100%;
  margin: 0 auto;
  display: flex;
  }
/* FILTER */
  .sidebar {
    width: 20%;
    display: flex;
    height: 100%;
    background-color: #51568A;
    border-radius: 0px 35px 35px 0px;
    overflow-x: hidden;
    padding: 20px 20px;
    color: white;
    display: flex;
    flex-direction: column;
    align-items: center;

  }
  .filter-section{
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    width: 70%;
    
  }
  .filter-section button,
  .filter-section a{
    font-family: "ruddy", Arial, sans-serif;
    padding: 5px 10px;
    color: #51568A;
    font-size: 0.9rem;
    border-radius: 8px;
  }
  .filter-option {
    width: 100%;
    margin-bottom: 1rem;
    background-color: #FFE7CC;
    border: none;
    text-align: center;
  }

  .filter-option:hover, 
  .filter-option:active,
  .filter-option:focus{
    background-color: #fff;
    color: white;
    background-color:#51568A;
    border: 4px dashed #fff;
    box-shadow: inset 0 0 0 8px #51568A, 0 0 0 12px #51568A;
  }
  .sidebar h2{
    padding: 10px;
  }
  .sidebar h2 a{
    text-decoration: none;
    color: white;
  }
  .sidebar h2:hover{
    background-color: #fff;
    background-color:#51568A;
    border: 4px dashed #fff;
    box-shadow: inset 0 0 0 8px #51568A, 0 0 0 12px #51568A;
    border-radius: 25px;
  }

  


  /* MAIN */
  
  main {
    width: 80%;
  }

  .map-image {
    margin-left: 2rem;
    width: 95%;
    height: 90vh;
  }
  .hidden{
    display: none;
  }

  .photo-container {
    position: relative;
    display: inline-block;
    width: 100%;
    
  }
  .photo-container img {
    max-width: 100%; /* Ensure the image doesn't exceed its container */
    height: auto; /* Maintain the aspect ratio while resizing */
  }
 
  
  /* PIN MARKER */
  #marker-day{
    position: absolute;
    width: 7%;
    height: 7%;
    background-image: url(assets/pins/morning-pin.svg);
    background-size: 100% 100%;
  }
  #marker-night{
    position: absolute;
    width: 7%;
    height: 7%;
    background-image: url(assets/pins/night-pin.svg);
    background-size: 100% 100%;
  }
  #regular-pin{
    position: absolute;
    width: 7%;
    height: 7%;
    background-image: url(assets/pins/pin.svg);
    background-size: 100% 100%;
  }
  .store-name {
    display: none;
    position: absolute;
    color: #fff;
    padding: 5px 10px;
    font-size: 12px;
    opacity: 0;
    transition: opacity 0.3s;
    left: 50%;
    transform: translateX(-50%);
    bottom: 100%;
    z-index: 99;
    color: #51568A;
    background-color: rgba(255, 255, 255, 0.7);
    border-radius: 10px;
  }

  .art img, .records img, .pagesbook img, .theatre img, .marble img, .nanao img, .cat img, .vendomecafe img, .park img, .springboard img{
    width: 80px;
    height: auto;
  }
  .art img:hover, .records img:hover, .pagesbook img:hover, .theatre img:hover, .marble img:hover, .nanao img:hover, .cat img:hover, .vendomecafe img:hover, .park img:hover, .springboard img:hover{
    width: 120px;
    height: auto;
    cursor: pointer;
    box-shadow: 4px 9px 23px -1px rgba(0,0,0,0.75);
    z-index: 99;
  }
  .art:hover .store-name, .records:hover .store-name, .pagesbook:hover .store-name, .theatre:hover .store-name, .marble:hover .store-name, .nanao:hover .store-name, .cat:hover .store-name, .vendomecafe:hover .store-name, .park:hover .store-name, .springboard:hover .store-name {
    display: inline-block;
    opacity: 1;
  }
.art {
    top: 44%; /* Initial vertical position */
    left: 51%; /* Initial horizontal position */
  }
.records{
  top: 59%;
  left: 51%;
}
.pagesbook{
  top: 66%;
  left: 26%;
}
.theatre{
  top: 66%;
  left: 33%;
}
.marble{
  top: 5%;
  left: 43%;
}
.nanao{
  top: 46.5%;
  left: 43%;
}
.cat{
    top: 32%;
    left: 43%;
}
.vendomecafe{
  top: 11%;
  left: 68%;
}
.park{
  top: 73%;
  left: 54%;
}
.springboard{
  top: 19%;
  left: 62%;
}
.art:hover .store-name{
  right: auto; /* Reset the left property */
  left: 145%; /* Move it to the right */
  bottom: auto; /* Reset the bottom property */
  top: 80%; /* Move it below */
  margin-left: 10px;
}

.records:hover .store-name{
  right: auto; /* Reset the left property */
  left: 140%; /* Move it to the right */
  bottom: auto; /* Reset the bottom property */
  top: 100%; /* Move it below */
  margin-left: 10px;
}

.pagesbook:hover .store-name{
  left: auto; /* Reset the right property */
  right: 60%; /* Move it to the left */
  bottom: auto; /* Reset the bottom property */
  top: 100%; /* Move it below */
  margin-left: 10px;
}

.theatre:hover .store-name{
  right: auto; /* Reset the left property */
  left: 135%; /* Move it to the right */
  bottom: auto; /* Reset the bottom property */
  top: 90%; /* Move it below */
  margin-left: 10px;
}

.marble:hover .store-name{
  left: auto; /* Reset the right property */
  right: 65%; /* Move it to the left */
  bottom: auto; /* Reset the bottom property */
  top: 80%; /* Move it below */
  margin-left: 10px;
}

.nanao:hover .store-name{
  left: auto; /* Reset the right property */
  right: 75%; /* Move it to the left */
  bottom: auto; /* Reset the bottom property */
  top: 100%; /* Move it below */
  transform: translateX(-50%);
  margin-left: 10px;
}

.cat:hover .store-name{
  left: auto; /* Reset the right property */
  right: 80%; /* Move it to the left */
  bottom: auto; /* Reset the bottom property */
  top: 70%; /* Move it below */
  margin-left: 10px;
}

.vendomecafe:hover .store-name{
  right: auto; /* Reset the left property */
  left: 140%; /* Move it to the right */
  bottom: auto; /* Reset the bottom property */
  top: 110%; /* Move it below */
  margin-left: 10px;
}

.park:hover .store-name{
  right: auto; /* Reset the left property */
  left: 145%; /* Move it to the right */
  bottom: auto; /* Reset the bottom property */
  top: 40%; /* Move it below */
  margin-left: 10px;
}

.springboard:hover .store-name{
  left: auto; /* Reset the right property */
  right: 60%; /* Move it to the left */
  bottom: auto; /* Reset the bottom property */
  top: 100%; /* Move it below */
  margin-left: 10px;
}

/* PIN TIP on Map*/
.pintip{
  position: absolute;
  left: -1px;
  top: 50px;
}
/* MODAL */
h3{
  color: #51568A;
  font-size: 1.5rem;
  text-align: center;
  margin: 0;
  padding-bottom: 0.5rem;
}
.modal{
  width: 50ch;
  max-height: 600px;
  border: 0;
  box-shadow: 0 0 1em rgb(0 0 0 / .3);
  position: relative;
  background-image: url(assets/pattern.svg);
  padding: 1rem;
}
.modal::backdrop{
  background: rgb(0 0 0 / .4);
  
}
.modal-image{
  max-width: 300px;
  display: block;
  margin: 0 auto;
}
.modal ul{
  margin: 0;
  padding: 0;
  list-style: none;
  display: flex;
  flex-direction: row;
  justify-content: center;
}
.modal li{
  margin-left: 10px;
}
.modal h4, .modal p {
  display: inline-block;
  width: 23ch;
  text-align: left;
}
.modal-address{
  font-weight: 400;
}
.modal p {
  text-align: right;
}
.modal .view-more{
  /* Blue #51568A
pink #ED2A84 */
  width: 30%;
  text-align: center;
	background-color:#ED2A84;
	border-radius:3px;
  border: 0;
	cursor:pointer;
	font-size:1.2rem;
	padding:6px 24px;
  margin-top: 1rem;
  margin: 0 auto;
}
.para{
  display: flex;
  justify-content: space-between;
}
.price{
  font-weight: bold;
}
.close-button{
  background-color: transparent;
  border: 0;
  font-size: 25px;
  cursor: pointer;
  position: absolute;
  right: 8px;
  top: 10px;
  border-radius: 50%;
  transition: all 0.2s ease-in;
  z-index: 2;
  margin-bottom: 1rem;
  opacity: 0.7;
  background-color: dimgrey;
}
.close-button:hover{
  opacity: 0.5;
  background-color: #f21a0f;
}

.view-more:hover,
.visit-website:hover {
	background-color:#0061a7;
}
.view-more a, .visit-website a{
  text-decoration: none;
	top:5px;
  color: #FFE7CC;
  padding: 0;
  margin: 0;
}

/* PAGES */
#pages{
  width: 80%;
  margin: 0 auto;
  height: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}
.slider{
  width: 620px;
  display: flex;
  overflow: hidden;
  align-items: center;
  background-color: #51568A;

  scroll-behavior: smooth;
}
.slider video{
  width: 100%;
  border-top: 4px dashed #fff;
  border-bottom: 4px dashed #fff;
  padding: 10px 0;
}
.slider img{
  width: 620px;
  height: 400px;
}

.thumb{
  margin-top: .6rem;
  margin-left: .3rem;
}

.thumb img{
  width:200px;
  height: 100px;
  margin-right: .3rem;
}


.thumb-link:target img {
  width: 100%; /* Adjust the width to fit the container */
  height: auto; /* Maintain aspect ratio */
  transition: width 0.5s; /* Add a smooth transition effect */
}
.details-container{
  width: 80%;
  display: flex;
  justify-content: space-between;
}
.details-main{
  width: 60%;
}

#pages img:hover{
  outline: 5px solid #fff;
}
#pages h4{
  color: #51568A;
}

.visit-website {
  background-color:#ED2A84;
	border-radius:3px;
	cursor:pointer;
	color:#FFE7CC;
	font-size:1.2rem;
  margin-top: 1.5rem;
	padding:6px 24px;
	text-decoration:none;
}

/* SOCIAL MEDIA ICONS */
.socialmedia-icons{
  display: flex;
  flex-wrap:wrap;
  align-items: center;
  justify-content: center;
}
.socialmedia-icons a{
  text-decoration:none;
  border:0;
  width:36px;
  height:36px;
  padding:2px;
  margin:5px;
  color:#f8f8f8;
  border-radius:50%;
  background-color:#51568A;
}
.socialmedia-icons a:hover{
  width: 40px;
  height: 40px;
}
.niftybutton-facebook{
  display:block;
  fill:currentColor;
}
.niftybutton-instagram{
  display:block;
  fill:currentColor;
}

/* ABOUT */
#about-container {
  max-width: 80%;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
}

.about-details {
  display: flex;
  flex-direction: column;
}

.about-details h2 {
  width: 100%;
  color: #51568A;
  font-size: 2rem;
  text-align: left;
}
.about-content{
  width: 100%;
}
#about-container p {
  font-size: 1.2rem;
  margin-right: 2rem;
  line-height: 2;
  height:auto;
  padding: 1rem;
  border-radius:30px;
  color: white;
  background-color:#51568A;
  border: 4px dashed #fff;
  box-shadow: inset 0 0 0 10px #51568A, 0 0 0 15px #51568A;
}
#about-container > div > p {
  margin-top: 2rem;
}



.about-details .about-content {
  display: flex;
  flex-direction: row;
}

.about-details video {
  width: 50%;
}

.about-details p {
  width: 50%;
}

/* LOCATIONS */

#locations-list {
  display: flex;
  justify-content: space-between;
  max-width: 90%;
  margin: 0 auto;
  padding: 3rem;
}

.trip-suggestions {
  width: 50%; /* Adjust the width as needed */
  column-count: 1;
  text-align: center;
  padding: 1rem;
}
.trip-suggestions h2{
  color: #ED2A84;
  font-size: 1.8rem;
}

#locations-list a {
  font-size: 1.2rem;
  display: block;
  margin-bottom: 5px;
  text-align: center;
  color: #51568A;
}

#locations-list a:hover {
  color: #ED2A84;
}


.top{
  margin-left: auto;
  font-size: 1rem;
  /* font-family: Arial, Helvetica, sans-serif; */
  color: #ED2A84;
}

.top:hover{
  cursor: pointer;
  color: #51568A;
}

#locationPages{
  max-width: 80%;
}


.location-detail{
  width: 100%;
  margin: 0 auto;
  height: auto;
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-bottom: 5rem;
}
.location-divider{
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
}

.location-detail h2{
  color: #51568A;
  text-align: center;
  width: 100%;
  font-size: 3rem;
}
.location-detail img{
  max-width: 32%;
}
.location-divider p {
  max-width: 60%;
  height: 25vh;
  display: flex;
  align-items: center;
  text-align: justify;
  font-size: 1.2rem;
  margin: 0;
  line-height: 2;
  padding: 2rem;
  border-radius: 30px;
  color: white;
  background-color: #51568A;
}


/* FOOTER */
footer {
    display: flex;
    flex-wrap:wrap;
    align-items: center;
    justify-content: space-between;
    background-color: #FFE7CC;
    padding: 0.5rem;
    margin-top: 1rem;
  }
  footer img{
    margin-right: 10px;
    width:35px;
    height:35px;
  }
  small{
    color: #51568A;
  }
  .socialmedia-icons-footer{
    display: flex;
    flex-wrap:wrap;
    align-items: center;
    justify-content: center;
    color: #51568A;
  }
  .socialmedia-icons-footer a{
    text-decoration:none;
    border:0;
    width:30px;
    height:30px;
    padding:2px;
    margin:5px;
    color:#f8f8f8;
    border-radius:50%;
    background-color:#51568A;
  }
  .socialmedia-icons-footer a:hover{
    width: 40px;
    height: 40px;
  }
footer .footer-details{
  display: flex;
  align-items: center;
}
  /* @media (max-width: 768px) {
    .photo-container img {
      max-width: 80%;
    }
  }
  
  @media (max-width: 480px) {
    .photo-container img {
      max-width: 60%; 
    }
  } */